"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findNextSibling = exports.attributeValueAndRemove = exports.initParent = void 0;
function initParent(rootXml) {
    if (rootXml.elements) {
        rootXml.elements.forEach((el) => {
            setParent(el, rootXml);
        });
    }
}
exports.initParent = initParent;
function setParent(xmlEle, parent) {
    xmlEle.parent = parent;
    if (xmlEle.elements) {
        xmlEle.elements.forEach((el) => {
            setParent(el, xmlEle);
        });
    }
}
function attributeValueAndRemove(attributes, attName) {
    const value = attributes[attName];
    delete attributes[attName];
    return value;
}
exports.attributeValueAndRemove = attributeValueAndRemove;
function findNextSibling(node) {
    const parent = node.parent;
    if (parent) {
        for (let i = parent.elements.indexOf(node) + 1; i < parent.elements.length; i++) {
            const sub = parent.elements[i];
            if (sub.type === 'element') {
                return sub;
            }
            if (sub.type === '#text' && sub.text.trim().replace(/[\r\n]/g, '')) {
                return sub;
            }
        }
    }
    return null;
}
exports.findNextSibling = findNextSibling;
//# sourceMappingURL=IXmlNode.js.map