"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../../utils/index");
const IXmlNode_1 = require("../../IXmlNode");
const types_1 = require("../../types");
const index_2 = require("../index");
const SlotScopeAttributeKey = 'slot-scope';
function default_1(xmlElement) {
    if (isSlotScopeNode(xmlElement)) {
        const node = (0, types_1.slotScopeNode)((0, IXmlNode_1.attributeValueAndRemove)(xmlElement.attributes, SlotScopeAttributeKey), null);
        node.slot = (0, IXmlNode_1.attributeValueAndRemove)(xmlElement.attributes, 'slot');
        node.element = (0, index_2.parseElement)(xmlElement);
        return node;
    }
    return null;
}
exports.default = default_1;
function isSlotScopeNode(xmlElement) {
    if (!xmlElement.attributes)
        return false;
    return (0, index_1.hasOwnProperty)(xmlElement.attributes, SlotScopeAttributeKey);
}
//# sourceMappingURL=index.js.map