"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../../../../utils/index");
const parser_1 = __importDefault(require("../../parser"));
const types_1 = require("../../types");
const UseTemplateAttributeKey = 'is';
const TemplateAttributeKey = 'name';
function default_1(xmlElement) {
    // use 的 优先级大于 模板定义
    if (isUseTemplateNode(xmlElement)) {
        const templateName = xmlElement.attributes[UseTemplateAttributeKey];
        if (xmlElement.elements) {
            throw new Error('use template:' + templateName + ',不可以添加子元素');
        }
        return (0, types_1.useTemplateNode)((0, types_1.dataBindingNode)(templateName), (0, types_1.dataBindingNode)(xmlElement.attributes['data']));
    }
    else if (isTemplateNode(xmlElement)) {
        const tNode = (0, types_1.templateNode)(xmlElement.attributes[TemplateAttributeKey], (0, types_1.fragmentNode)([]));
        (0, parser_1.default)(xmlElement, tNode.fragment);
        return tNode;
    }
    return null;
}
exports.default = default_1;
function isUseTemplateNode(xmlElement) {
    if (!xmlElement.attributes)
        return false;
    return (0, index_1.hasOwnProperty)(xmlElement.attributes, UseTemplateAttributeKey);
}
function isTemplateNode(xmlElement) {
    if (!xmlElement.attributes)
        return false;
    return (0, index_1.hasOwnProperty)(xmlElement.attributes, TemplateAttributeKey);
}
//# sourceMappingURL=index.js.map