"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripJsxExpresion = exports.takeObjectExpresionValueNames = void 0;
const utils_1 = require("@morjs/utils");
/**
 * 提取对象表达式中的value 对应 名称
 * @param exp
 */
function takeObjectExpresionValueNames(exp) {
    if (!exp)
        return null;
    const valueNames = [];
    try {
        const ast = utils_1.babelParser.parse(`(${exp})`);
        utils_1.babelTraverse.default(ast, {
            ObjectProperty(path) {
                // 检索出引用标识符
                if (utils_1.babelTypes.isIdentifier(path.node.value)) {
                    valueNames.push(path.node.value.name);
                }
            }
        });
    }
    catch (e) { }
    return valueNames;
}
exports.takeObjectExpresionValueNames = takeObjectExpresionValueNames;
/**
 * 剥离jsx 表达式
 */
function stripJsxExpresion(ast) {
    if (utils_1.babelTypes.isJSXExpressionContainer(ast)) {
        return ast.expression;
    }
    return ast;
}
exports.stripJsxExpresion = stripJsxExpresion;
//# sourceMappingURL=babel-helper.js.map