"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.skipConditionalCompilation = void 0;
const utils_1 = require("@morjs/utils");
const comment_1 = require("../../../../utils/comment");
function default_1() {
    return utils_1.babelTypes.booleanLiteral(false);
}
exports.default = default_1;
/**
 * 筛选过滤条件编译
 * @param node
 */
function skipConditionalCompilation(node, elements, option) {
    const ifDefIndex = elements.indexOf(node);
    let endDefIndex = ifDefIndex;
    if ((0, comment_1.isIfDef)(node.comment)) {
        const conditional = (0, comment_1.defCondition)(node.comment).toLowerCase();
        if (conditional !== option.platform) {
            for (const el of elements) {
                if (el.type === 'CommentNode' && (0, comment_1.isEndIf)(el.comment)) {
                    endDefIndex = elements.indexOf(el);
                    break;
                }
            }
        }
    }
    return elements.filter((_, index) => index < ifDefIndex || index > endDefIndex);
}
exports.skipConditionalCompilation = skipConditionalCompilation;
//# sourceMappingURL=CommentNode.js.map