"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const babel_helper_1 = require("../../babel-helper");
const error_1 = require("../error");
const utils_2 = require("../utils");
const index_1 = __importDefault(require("./index"));
function default_1(node, context) {
    (0, error_1.checkDataBinding)(node.expresion, 'if');
    context.mergeDatabindingVars(node.expresion);
    const ifExp = (0, utils_2.getOptionalChainExpression)(node.expresion.getExpressionAst());
    const ifConditionalExpression = utils_1.babelTypes.conditionalExpression((0, utils_2.addBracketToIdentifier)(ifExp), (0, babel_helper_1.stripJsxExpresion)((0, index_1.default)(node.ifElement, context)), utils_1.babelTypes.booleanLiteral(false));
    let lastConditionalExpression = ifConditionalExpression;
    if (node.elseIfElements.length > 0) {
        node.elseIfElements.forEach((el) => {
            const exp = elseIfElementNode(el, context);
            lastConditionalExpression.alternate = exp;
            lastConditionalExpression = exp;
        });
    }
    if (node.elseElement) {
        lastConditionalExpression.alternate = (0, babel_helper_1.stripJsxExpresion)((0, index_1.default)(node.elseElement.element, context));
    }
    return utils_1.babelTypes.jsxExpressionContainer(ifConditionalExpression);
}
exports.default = default_1;
function elseIfElementNode(node, context) {
    (0, error_1.checkDataBinding)(node.expresion, 'else if');
    context.mergeDatabindingVars(node.expresion);
    const ifExp = (0, utils_2.getOptionalChainExpression)(node.expresion.getExpressionAst());
    return utils_1.babelTypes.conditionalExpression((0, utils_2.addBracketToIdentifier)(ifExp), (0, babel_helper_1.stripJsxExpresion)((0, index_1.default)(node.element, context)), utils_1.babelTypes.booleanLiteral(false));
}
//# sourceMappingURL=IfElementNode.js.map