"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function traverseNode(node, opts, parent) {
    if (typeof node === 'object' && node.type) {
        const func = opts[node.type];
        if (func) {
            func({
                node,
                parent
            });
        }
        Object.keys(node).forEach((key) => {
            const value = node[key];
            if (key !== 'type' && value) {
                if (value instanceof Array) {
                    ;
                    [...value].forEach((sub) => {
                        traverseNode(sub, opts, node);
                    });
                }
                else {
                    traverseNode(value, opts, node);
                }
            }
        });
    }
}
exports.default = traverseNode;
//# sourceMappingURL=index.js.map