export interface AppConfig {
    usingComponents: object;
    styleScope?: boolean;
}
export interface ComponentConfig {
    component?: boolean;
    usingComponents?: object;
    styleScope?: boolean;
}
export interface CompilerPlugin {
    [props: string]: any[];
}
export interface BuildOptions {
    config: ComponentConfig;
    appConfig: AppConfig;
    hasAppConfig?: boolean;
    appConfigPath?: string;
    isAtomicMode?: boolean;
    name: string;
    resourcePath: string;
    rootPath: string;
    /**
     * 全局组件名称的配置关系
     */
    globalComponentsConfig?: object;
    /**
     * react 扩展组件
     */
    externalComponents?: object;
    /**
     * rpx 方案的 root value。默认是32。也就是 16*2
     */
    rpxRootValue?: number;
    platform: string;
    usePx?: {
        ratio?: number;
    };
    unitTest?: boolean;
    componentCompiler?: boolean;
    compilerPlugins?: CompilerPlugin;
    syntax?: object;
    styleScope?: boolean;
    styleFilePath?: string;
    templateFilePath?: string;
    scriptFilePath?: string;
    configFilePath?: string;
    /**
     * 全局样式文件路径
     */
    appStyleFilePath?: string;
    /**
     * 条件编译后缀
     */
    conditionalCompileFileExt?: string[];
}
/**
 * 获取标签的全局名称
 * @param tagName
 * @param options
 */
export declare function globalComponentName(tagName: string, options: BuildOptions): any;
/**
 * 是否全局标签
 * @param tagName
 * @param options
 */
export declare function isGlobalComponent(tagName: string, options: BuildOptions): boolean;
export declare function randomHash(options: BuildOptions): string;
