"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomHash = exports.isGlobalComponent = exports.globalComponentName = void 0;
const crypto_1 = __importDefault(require("crypto"));
const path_1 = __importDefault(require("path"));
const index_1 = require("./axml2/generate/index");
// // 未来扩展功能
// export interface FutureOptions{
//   enableAttrbuteSpread?: boolean; // 启用属性扩展功能
//   enableModel?:boolean;//是否启用数据双向绑定编译
// }
function md5(seed) {
    return crypto_1.default.createHash('md5').update(seed).digest('hex');
}
/**
 * 获取标签的全局名称
 * @param tagName
 * @param options
 */
function globalComponentName(tagName, options) {
    if (options.globalComponentsConfig &&
        tagName in options.globalComponentsConfig) {
        collectLoadableComponents(tagName);
        return options.globalComponentsConfig[tagName];
    }
    return undefined;
}
exports.globalComponentName = globalComponentName;
/**
 * 收集按需加载的组件
 * @param tagName
 */
function collectLoadableComponents(tagName) {
    // page无需按需加载
    if (tagName === 'page')
        return;
    if (index_1.loadableComponents && !index_1.loadableComponents.includes(tagName)) {
        index_1.loadableComponents.push(tagName);
    }
}
/**
 * 是否全局标签
 * @param tagName
 * @param options
 */
function isGlobalComponent(tagName, options) {
    return !!globalComponentName(tagName, options);
}
exports.isGlobalComponent = isGlobalComponent;
// 生成隨機字符串
function randomHash(options) {
    // 根据文件路径添加hash码。基本上只要路径不变，那么每次生成的hash 码都一样
    let _randomHash = md5(options.resourcePath
        .replace(path_1.default.extname(options.resourcePath), '')
        .replace(options.rootPath, '')); // 生成随机的18位字符串
    // 防止出现数字开头
    if (['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'].indexOf(_randomHash[0]) >= 0) {
        _randomHash = `_${_randomHash}`;
    }
    return _randomHash;
}
exports.randomHash = randomHash;
//# sourceMappingURL=option.js.map